Package net.shibboleth.idp.cas.flow.impl

# Class ValidateTicketAction

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
org.opensaml.profile.action.AbstractProfileAction
org.opensaml.profile.action.AbstractConditionalProfileAction
net.shibboleth.idp.profile.AbstractProfileAction
net.shibboleth.idp.cas.flow.impl.AbstractCASProtocolAction<TicketValidationRequest,TicketValidationResponse>
net.shibboleth.idp.cas.flow.impl.ValidateTicketAction

All Implemented Interfaces:
  `Component`, `DestructableComponent`, `InitializableComponent`, `ProfileAction`, `Aware`, `MessageSource`, `MessageSourceAware`, `Action`

public class ValidateTicketAction extends AbstractCASProtocolAction<TicketValidationRequest,TicketValidationResponse>
CAS protocol service ticket validation action. Emits one of the following events based on validation result:

- `ServiceTicketValidated`
- `ProxyTicketValidated`
- `InvalidTicketFormat`
- `ServiceMismatch`
- `TicketExpired`
- `TicketRetrievalError`

## Field Summary

Fields
Modifier and Type
Field
Description
`private final TicketService`
`casTicketService`
Manages CAS tickets.
`private final ConfigLookupFunction<ValidateConfiguration>`
`configLookupFunction`
Profile configuration lookup function.
`private final org.slf4j.Logger`
`log`
Class logger.
`private TicketValidationRequest`
`request`
CAS request.
`private ValidateConfiguration`
`validateConfig`
Profile config.

## Constructor Summary

Constructors
Constructor
Description
`ValidateTicketAction(TicketService ticketService)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doExecute(ProfileRequestContext profileRequestContext)`
`protected boolean`
`doPreExecute(ProfileRequestContext profileRequestContext)`

### Methods inherited from class net.shibboleth.idp.cas.flow.impl.AbstractCASProtocolAction

`getCASRequest, getCASResponse, getCASService, getCASTicket, getProtocolContext, setCASRequest, setCASResponse, setCASService, setCASTicket`

### Methods inherited from class net.shibboleth.idp.profile.AbstractProfileAction

`doExecute, execute, getBean, getBean, getMessage, getMessage, getMessage, getParameter, getParameter, getProfileContextLookupStrategy, getRequestContext, getResult, setMessageSource, setProfileContextLookupStrategy`

### Methods inherited from class org.opensaml.profile.action.AbstractConditionalProfileAction

`getActivationCondition, setActivationCondition`

### Methods inherited from class org.opensaml.profile.action.AbstractProfileAction

`doPostExecute, doPostExecute, ensureHttpServletRequest, ensureHttpServletResponse, execute, getHttpServletRequest, getHttpServletRequestSupplier, getHttpServletResponse, getHttpServletResponseSupplier, getLogPrefix, isPreExecuteCalled, setHttpServletRequestSupplier, setHttpServletResponseSupplier`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, doInitialize, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

### configLookupFunction

@Nonnull private final ConfigLookupFunction<ValidateConfiguration> configLookupFunction
Profile configuration lookup function.

### casTicketService

@Nonnull private final TicketService casTicketService
Manages CAS tickets.

### validateConfig

@NonnullBeforeExec private ValidateConfiguration validateConfig
Profile config.

### request

@NonnullBeforeExec private TicketValidationRequest request
CAS request.

## Constructor Details

### ValidateTicketAction

public ValidateTicketAction(@Nonnull TicketService ticketService)
Constructor.

Parameters:
  `ticketService` - ticket service component

## Method Details

### doPreExecute

protected boolean doPreExecute(@Nonnull ProfileRequestContext profileRequestContext)

Overrides:
  `doPreExecute` in class `AbstractConditionalProfileAction`

### doExecute

protected void doExecute(@Nonnull ProfileRequestContext profileRequestContext)

Overrides:
  `doExecute` in class `AbstractProfileAction`